import * as React from 'react';
import './styles.scss';
import { ISelect } from '../../SelectV2/types';
export declare enum Constants {
    DATEPICKER_FILTER_THIS_MONTH = "DATEPICKER_FILTER_THIS_MONTH",
    DATEPICKER_FILTER_MONTH_TO_DATE = "DATEPICKER_FILTER_MONTH_TO_DATE",
    DATEPICKER_FILTER_PREVIOUS_MONTH = "DATEPICKER_FILTER_PREVIOUS_MONTH",
    DATEPICKER_FILTER_ONE_WEEK = "DATEPICKER_FILTER_ONE_WEEK",
    DATEPICKER_FILTER_PREVIOUS_WEEK = "DATEPICKER_FILTER_PREVIOUS_WEEK",
    DATEPICKER_FILTER_QUARTILE = "DATEPICKER_FILTER_QUARTILE",
    DATEPICKER_FILTER_PREVIOUS_QUARTILE = "DATEPICKER_FILTER_PREVIOUS_QUARTILE",
    DATEPICKER_FILTER_CURRENT_YEAR = "DATEPICKER_FILTER_CURRENT_YEAR",
    DATEPICKER_FILTER_PREVIOUS_YEAR = "DATEPICKER_FILTER_PREVIOUS_YEAR",
    SET_DATEPIKER_FROM_DATE = "SET_DATEPIKER_FROM_DATE",
    SET_DATEPIKER_TO_DATE = "SET_DATEPIKER_TO_DATE",
    SET_DATEPIKER_ENTERED_TO_DATE = "SET_DATEPIKER_ENTERED_TO_DATE",
    SET_DATEPIKER_MONTH_RANGE = "SET_DATEPIKER_MONTH_RANGE",
    DATEPICKER_FILTER_CUSTOM_GLOBAL_STATE = "DATEPICKER_FILTER_CUSTOM_GLOBAL_STATE"
}
export declare const PATTERN_DATEPICKER: ({
    label: string;
    value: Constants;
    role?: undefined;
} | {
    label: string;
    value: Constants;
    role: number;
})[];
export declare class FilterHeader extends React.PureComponent<any, any> {
    refDropDown: any;
    refSelectPeriod: any;
    refSelectGroupBy: any;
    refSelectGenerate: any;
    refSelectStatus: any;
    refSelectTemporality: any;
    static getParameters(parameters: string): any;
    constructor(props: any);
    /**
     * @name componentDidMount
     * @description React Lifecycle
     * @author Jonathan IBOR
     * @memberof Header
     */
    componentDidMount(): void;
    /**
     * @name componentDidUpdate
     * @description React LifeCycle
     * @author Jonathan IBOR
     * @param {Props} nextProps
     * @memberof Header
     */
    componentDidUpdate(nextProps: any, nextState: any): void;
    /**
     * @name handleClickOutside
     * @description
     * @author Jonathan IBOR
     * @param {*} event
     * @memberof Header
     */
    handleClickOutside(event: any): void;
    /**
     * @name onHandlePatternDate
     * @description
     * @author Jonathan IBOR
     * @param {ISelect} type
     * @memberof Header
     */
    onHandlePatternDate(type: ISelect): void;
    /**
     * @name onHandleResetFilters
     * @description
     * @author Jonathan IBOR
     * @param {boolean} reset
     * @memberof Header
     */
    onHandleResetFilters(reset: boolean): void;
    /**
     * @name onHandleResetPeriod
     * @description
     * @author Jonathan IBOR
     * @memberof Header
     */
    onHandleResetPeriod(): void;
    /**
     * @name componentWillUnmount
     * @description React Lifecycle
     * @author Jonathan
     * @memberof Header
     */
    componentWillUnmount(): void;
    numberActiveFilters(): any;
    renderInitialeValue(select: any, item: any): any[] | undefined;
    onHandleFocus(select: any, bool: boolean): void;
    formattingFilters(value: any, item: any): void;
    resetElement(type: string, state: any): void;
    onHandleResetStatus(): void;
    onHandleResetGroupBy(): void;
    onHandleResetTemporality(): void;
    onHandleStatus(type: ISelect): void;
    onHandleGroupBy(type: ISelect): void;
    onHandleTemporality(type: ISelect): void;
    onHandleResetFilter(item: any): void;
    onRenderFilters(item: any, key: any, isText: any): JSX.Element;
    render(): JSX.Element;
}
declare const _default: any;
export default _default;
