export declare const DAY_MONTH_DATE = "DD MMM";
export declare const FULL_DATE_DATA_ARRAY = "MMM DD, YYYY HH:mm";
export declare enum OBJECT_CURRENCY {
    eur = "\u20AC",
    usd = "$"
}
export default class FormatText {
    static isNumber(n: any): boolean;
    static formatNumber(data: any): string | 0;
    /**
     * @static
     * @param {*} data
     * @param {string} [currency='EUR']
     * @returns
     * @memberof FormatText
     */
    static formatNumberWithCurrency(data: any, currency?: string): string;
    /**
     * formatDateCharts
     * @param data
     * @return {*}
     */
    static formatDateCharts(data: any): string | 0;
    /**
     * @static
     * @param {*} percentage
     * @returns
     * @memberof FormatText
     */
    static formatNumberTotalReports(percentage: number): string | 0;
    static formatPercentage(percentage: number): string;
    /**
     * @static
     * @param {number} [x=0]
     * @returns
     * @memberof FormatText
     */
    static numberSeparator(x?: number): string;
    /**
     * formatThousand
     * @param label
     */
    static formatMillionsTrending(label: number): string;
    /**
     * @static
     * @param {*} label
     * @returns
     * @memberof FormatText
     */
    static formatThousandTrending(label: number): string;
    /**
     * @static
     * @param {*} label
     * @returns
     * @memberof FormatText
     */
    static formatThousand(label: number): string;
    /**
     * @static
     * @param {string} [str='']
     * @param {string} [expectedCharToSplit='']
     * @param {string} [expectedCharToJoin='']
     * @returns
     * @memberof FormatText
     */
    static splitCharAndJoin(str?: string, expectedCharToSplit?: string, expectedCharToJoin?: string): string;
    /**
     * @static
     * @param {*} date
     * @returns
     * @memberof FormatText
     */
    static formatDateDataArray(date: any): string;
    /**
     *
     *
     * @static
     * @param {*} svg
     * @returns
     * @memberof FormatText
     */
    static formatSVGBase64(svg: string): string;
    /**
     * @static
     * @param {number} [imp=0]
     * @param {number} [cpm=0]
     * @returns
     * @memberof FormatText
     */
    static calculBudgetForCPM(imp?: number, cpm?: number): number;
    /**
     * @static
     * @param {number} [click=0]
     * @param {number} [cpc=0]
     * @returns
     * @memberof FormatText
     */
    static calculBudgetForCPC(click?: number, cpc?: number): number;
    /**
     * @static
     * @returns
     * @memberof FormatText
     */
    static getIntervalIntoYears(start?: number): number[];
    /**
    * @static
    * @returns
    * @memberof formatCPM
    */
    static formatCPM(cost_per: number, goal_type_id: number): string;
}
